Caddy(8)

NAME
caddy-file-server - Spins up a production-ready file server

SYNOPSIS
caddy file-server [--domain ] [--root ] [--listen ] [--browse] [--reveal-symlinks] [--access-log] [--precompressed] [flags]

DESCRIPTION
A simple but production-ready file server. Useful for quick deployments, demos, and development.

The listener's socket address can be customized with the --listen flag.

If a domain name is specified with --domain, the default listener address will be changed to the HTTPS port and the server will use HTTPS. If using a public domain, ensure A/AAAA records are properly configured before using this option.

By default, Zstandard and Gzip compression are enabled. Use --no-compress to disable compression.

If --browse is enabled, requests for folders without an index file will respond with a file listing.

OPTIONS
-a, --access-log[=false]
    Enable the access log

-b, --browse[=false]
    Enable directory browsing

-v, --debug[=false]
    Enable verbose debug logs

-d, --domain=""
    Domain name at which to serve the files

-f, --file-limit=10000
    Max directories to read

-h, --help[=false]
    help for file-server

-l, --listen=""
    The address to which to bind the listener

--no-compress[=false]
    Disable Zstandard and Gzip compression

-p, --precompressed=[]
    Specify precompression file extensions. Compression preference implied from flag order.

--reveal-symlinks[=false]
    Show symlink paths when browse is enabled.

-r, --root=""
    The path to the root of the site

-t, --templates[=false]
    Enable template rendering

SEE ALSO
caddy(8), caddy-file-server-export-template(8)

HISTORY
1-Jan-0001 Auto generated by spf13/cobra